@import '@/assets/scss/style'

.c-import-config,
.upload-document
    position: relative

    .dropbox
        display: flex
        align-items: center
        justify-content: center
        position: relative
        min-height: 180px
        padding: 10px
        outline: 1px dashed #979797
        background: color('grey')
        cursor: pointer
        @include transition($transition-base)

        @include media-breakpoint-up(md)
            min-height: 225px

        .text
            padding: 30px 0
            color: #414141
            font-size: 1em
            text-align: center
            @include media-breakpoint-up(md)
                padding: 50px 0
                font-size: 1.2em

        .up
            display: none
            @include media-breakpoint-up(md)
                position: absolute
                bottom: 45px
                left: 50%
                width: 100px
                margin-left: -50px
                color: rgba(#414141, 0.7)
                font-size: 14px
                display: block

    &__button
        position: absolute
        bottom: -20px
        min-width: auto !important
        @include media-breakpoint-up(md)
            left: 50%
            margin-left: -106px


    .input-file
        position: absolute
        width: 100%
        height: 200px
        cursor: pointer
        opacity: 0

    &__preview
        flex: 0 0 100px
        max-height: 50px
        @include media-breakpoint-up(md)
            max-height: 100px
